petsc-3.7.1 2016-05-15
Report Typos and Errors

# SETERRQ

Macro to be called when an error has been detected,

### Synopsis

    #include <petscsys.h>
    PetscErrorCode SETERRQ(MPI_Comm comm,PetscErrorCode errorcode,char *message)

Not Collective Many br

### Input Parameters

| comm | - A communicator, so that the error can be collective Many br
| errorcode | - nonzero error code, see the list of standard error codes in include/petscerror.h Many br
| message | - error message Many br

Many br

### Notes

Once the error handler is called the calling function is then returned from with the given error code. Many br

See SETERRQ1(), SETERRQ2(), SETERRQ3() for versions that take arguments Many br

In Fortran MPI_Abort() is always called Many br

Experienced users can set the error handler with PetscPushErrorHandler(). Many br

### See Also

PetscTraceBackErrorHandler(), PetscPushErrorHandler(), PetscError(), CHKERRQ(), CHKMEMQ, SETERRQ1(), SETERRQ2(), SETERRQ3()

Level:beginner
Location:src/sys/error/../../../include/petscerror.h
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/sys/classes/random/examples/tutorials/ex1.c.html
src/sys/examples/tutorials/ex3.c.html
src/sys/examples/tutorials/ex11.c.html
src/sys/examples/tutorials/ex15.c.html
src/vec/vec/examples/tutorials/ex6.c.html
src/vec/vec/examples/tutorials/ex9.c.html
src/vec/vec/examples/tutorials/ex10.c.html
src/vec/vec/examples/tutorials/ex19.c.html
src/vec/vec/examples/tutorials/ex9f.F.html
src/vec/vec/examples/tutorials/ex14f.F.html
src/vec/is/is/examples/tutorials/ex2.c.html